C_REHASH(1SSL)

NOM
c_rehash - Créer des liens symboliques vers des fichiers en utilisant une valeur de hachage

SYNOPSIS
c_rehash [-old] [-h] [-n] [-v] [répertoire ...]

DESCRIPTION
c_rehash parcourt les répertoires et calcule une valeur de hachage de chaque fichier .pem, .crt, .cer ou .crl dans la liste de répertoires indiqués puis crée des liens symboliques pour chacun de ces fichiers, où le nom du lien est la valeur du hachage (si la plate-forme ne permet pas l’utilisation de liens symboliques, une copie est faite). Cet utilitaire permet à beaucoup de programmes qui utilisent OpenSSL de trouver les certificats avec des répertoires configurés de la sorte.

Si des répertoires sont indiqués sur la ligne de commande, alors ils sont traités chacun à leur tour. Sinon, la variable d'environnement SSL_CERT_DIR est consultée ; ce devrait être une liste de répertoires séparés par des deux-points (« : »), comme la variable PATH d’UNIX. Si elle n’est pas définie, alors le répertoire par défaut (spécifique à l’installation, mais probablement /usr/lib/ssl/certs) est traité.

Pour qu’un répertoire soit traité, l’utilisateur doit avoir le droit d’écrire dedans, sinon il sera sauté. Les liens créés sont de la forme HHHHHHHH.D, où chaque H est un caractère hexadécimal et D un seul chiffre décimal. Lors du traitement d’un répertoire, c_rehash commencera par supprimer tous les liens qui ont un nom correspondant à cette syntaxe. Si des liens de cette forme sont utilisés pour autre chose, ils seront supprimés. Pour sauter l’étape se suppression, utilisez l’option -n. Les hachages de listes de révocations de certificat ressemblent à cela, à part que la lettre r est présente après le point, comme ceci : HHHHHHHH.rD.

Plusieurs objets pourraient avoir le même hachage ; ils seront indiqués en incrémentant la valeur de D. Des duplicatas sont trouvés en comparant l’empreinte SHA-1 complète. Un avertissement sera affiché si un duplicata est trouvé.

Un avertissement sera aussi affiché si un fichier ne peut pas être traité comme un certificat ou comme une liste de révocations de certificat.

Le programme utilise le programme openssl pour calculer les hachages et les empreintes. S’il n’est pas dans le PATH de l’utilisateur, définissez la variable d’environnement OPENSSL à son chemin complet. N’importe quel programme peut être utilisé, il sera invoqué comme ceci pour un certificat ou une liste de révocations de certificat :

  $OPENSSL x509 -hash -fingerprint -noout -in FICHIER
  $OPENSSL crl -hash -fingerprint -noout -in FICHIER

où FICHIER est le nom du fichier. Le résultat doit contenir le hachage du fichier en première ligne et l’empreinte en deuxième ligne, facultativement précédés de texte et d’un signe égal.

OPTIONS

-old
    Utiliser l’ancien style de hachage (MD5 vs SHA-1) pour créer des liens pour les publications antérieures à 1.0.0. Remarquez que les versions actuelles n’utiliseront par l’ancien style.

-h  Afficher un court message sur l'utilisation.

-n  Ne pas supprimer les liens existants. Cela est nécessaire pour garder des liens de nouveau et ancien styles dans le même répertoire.

-v  Afficher les messages sur les anciens liens supprimés et les nouveaux créés. Par défaut, c_rehash ne liste chaque répertoire que lorsqu’il est traité.

ENVIRONNEMENT

OPENSSL
    Le chemin vers un exécutable à utiliser pour générer des hachages et des empreintes (voir ci-dessus).

SSL_CERT_DIR
    Liste de répertoires séparés par des deux-points sur lesquels opérer. La liste est ignorée si des répertoires sont fournis sur la ligne de commande.

VOIR AUSSI
crl(1), openssl(1), x509(1)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.